import { DownloaderInterface, GenericFile, SolAmount, UploaderInterface } from '@lorisleiva/js-core';
export type MockStorageOptions = {
    baseUrl?: string;
};
export declare class MockStorage implements UploaderInterface, DownloaderInterface {
    protected cache: Record<string, GenericFile>;
    readonly baseUrl: string;
    constructor(options?: MockStorageOptions);
    uploadOne(file: GenericFile): Promise<string>;
    upload(files: GenericFile[]): Promise<string[]>;
    uploadJson<T>(json: T): Promise<string>;
    getUploadPrice(): Promise<SolAmount>;
    downloadOne(uri: string): Promise<GenericFile>;
    download(uris: string[]): Promise<GenericFile[]>;
    downloadJson<T>(uri: string): Promise<T>;
}
